For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
      • GETRetrieve a Verification
      • DELRedact a Verification
      • GETPrint Verification PDF
      • AAMVA Verifications
      • eCBSV Database Verifications
      • Phone Carrier Database Verifications
      • Serpro Database Verifications
      • Tin Database Verifications
      • Database Verifications
      • Database Standard Verifications
      • Document Verifications
      • Email Address Verifications
      • Government ID Verifications
      • Government ID NFC Verifications
      • Phone Number Verifications
      • Selfie Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceVerifications

Retrieve a Verification

GET
https://api.withpersona.com/api/v1/verifications/:verification-id
GET
/api/v1/verifications/:verification-id
$curl https://api.withpersona.com/api/v1/verifications/verification-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "verification/database",
4 "attributes": {
5 "address-city": "Los Angeles",
6 "address-postal-code": "55555",
7 "address-street-1": "555 Beverly Hills",
8 "address-street-2": "Apartment 123",
9 "address-subdivision": "California",
10 "birthdate": "1999-01-01",
11 "checks": [],
12 "completed-at": null,
13 "completed-at-ts": null,
14 "country-code": "US",
15 "created-at": "2023-11-03T17:37:06.000Z",
16 "created-at-ts": 1699033026,
17 "document-number": null,
18 "email-address": "jane@doe.com",
19 "identification-number": null,
20 "name-first": "Jane",
21 "name-last": "Doe",
22 "name-middle": null,
23 "normalized-address-city": "Los Angeles",
24 "normalized-address-postal-code": "55555",
25 "normalized-address-street-1": "555 Beverly Hills",
26 "normalized-address-street-2": "Apt 123",
27 "normalized-address-subdivision": "CA",
28 "phone-number": null,
29 "status": "initiated",
30 "submitted-at": null,
31 "submitted-at-ts": null
32 },
33 "id": "ver_ABC123",
34 "relationships": {
35 "inquiry": {
36 "data": {
37 "id": "inq_ABC123",
38 "type": "inquiry"
39 }
40 },
41 "template": {},
42 "inquiry-template-version": {
43 "data": {
44 "type": "inquiry-template-version",
45 "id": "itmplv_ABC123"
46 }
47 },
48 "inquiry-template": {
49 "data": {
50 "type": "inquiry-template",
51 "id": "itmpl_ABC123"
52 }
53 },
54 "transaction": {},
55 "verification-template": {
56 "data": {
57 "type": "verification-template/database",
58 "id": "vtmpl_ABC123"
59 }
60 },
61 "verification-template-version": {
62 "data": {
63 "type": "verification-template-version/database",
64 "id": "vtmplv_ABC123"
65 }
66 }
67 }
68 }
69}
Retrieves the details of an existing Verification.
Was this page helpful?
Previous

Redact a Verification

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

verification-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Verification object and (optionally) its related objects in included.

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.